/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for CID4018PrimaryAnatomicStructureForIntraoralRadiography
 */
public enum EnumCM_CID4018PrimaryAnatomicStructureForIntraoralRadiography 
{
	//CID 4018 Primary Anatomic Structure for Intra-oral Radiography (Permanent Dentition  Designation of Teeth)
	MAXILLARY_RIGHT_THIRD_MOLAR_TOOTH("Maxillary right third molar tooth"),
	MAXILLARY_RIGHT_SECOND_MOLAR_TOOTH("Maxillary right second molar tooth"),
	MAXILLARY_RIGHT_FIRST_MOLAR_TOOTH("Maxillary right first molar tooth"),
	MAXILLARY_RIGHT_SECOND_PREMOLAR_TOOTH("Maxillary right second premolar tooth"),
	MAXILLARY_RIGHT_FIRST_PREMOLAR_TOOTH("Maxillary right first premolar tooth"),
	MAXILLARY_RIGHT_CANINE_TOOTH("Maxillary right canine tooth"),
	MAXILLARY_RIGHT_LATERAL_INCISOR_TOOTH("Maxillary right lateral incisor tooth"),
	MAXILLARY_RIGHT_CENTRAL_INCISOR_TOOTH("Maxillary right central incisor tooth"),
	MAXILLARY_LEFT_CENTRAL_INCISOR_TOOTH("Maxillary left central incisor tooth"),
	MAXILLARY_LEFT_LATERAL_INCISOR_TOOTH("Maxillary left lateral incisor tooth"),
	MAXILLARY_LEFT_CANINE_TOOTH("Maxillary left canine tooth"),
	MAXILLARY_LEFT_FIRST_PREMOLAR_TOOTH("Maxillary left first premolar tooth"),
	MAXILLARY_LEFT_SECOND_PREMOLAR_TOOTH("Maxillary left second premolar tooth"),
	MAXILLARY_LEFT_FIRST_MOLAR_TOOTH("Maxillary left first molar tooth"),
	MAXILLARY_LEFT_SECOND_MOLAR_TOOTH("Maxillary left second molar tooth"),
	MAXILLARY_LEFT_THIRD_MOLAR_TOOTH("Maxillary left third molar tooth"),
	MANDIBULAR_LEFT_THIRD_MOLAR_TOOTH("Mandibular left third molar tooth"),
	MANDIBULAR_LEFT_SECOND_MOLAR_TOOTH("Mandibular left second molar tooth"),
	MANDIBULAR_LEFT_FIRST_MOLAR_TOOTH("Mandibular left first molar tooth"),
	MANDIBULAR_LEFT_SECOND_PREMOLAR_TOOTH("Mandibular left second premolar tooth"),
	MANDIBULAR_LEFT_FIRST_PREMOLAR_TOOTH("Mandibular left first premolar tooth"),
	MANDIBULAR_LEFT_CANINE_TOOTH("Mandibular left canine tooth"),
	MANDIBULAR_LEFT_LATERAL_TOOTH("Mandibular left lateral tooth"),
	MANDIBULAR_LEFT_CENTRAL_INCISOR_TOOTH("Mandibular left central incisor tooth"),
	MANDIBULAR_RIGHT_CENTRAL_INCISOR_TOOTH("Mandibular right central incisor tooth"),
	MANDIBULAR_RIGHT_LATERAL_INCISOR_TOOTH("Mandibular right lateral incisor tooth"),
	MANDIBULAR_RIGHT_CANINE_TOOTH("Mandibular right canine tooth"),
	MANDIBULAR_RIGHT_FIRST_PREMOLAR_TOOTH("Mandibular right first premolar tooth"),
	MANDIBULAR_RIGHT_SECOND_PREMOLAR_TOOTH("Mandibular right second premolar tooth"),
	MANDIBULAR_RIGHT_FIRST_MOLAR_TOOTH("Mandibular right first molar tooth"),
	MANDIBULAR_RIGHT_SECOND_MOLAR_TOOTH("Mandibular right second molar tooth"),
	MANDIBULAR_RIGHT_THIRD_MOLAR_TOOTH("Mandibular right third molar tooth");

	private String value;
	
	EnumCM_CID4018PrimaryAnatomicStructureForIntraoralRadiography(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Meta SOP Class.
	 */
	public String getValue()
	{
		return value;
	}
}
